#!/usr/bin/python


### Program to render TGD files from Terragen 2
### Does a few things:
###  - talks to renderfarm server which distributes images over community systems
###  - can break a large image up into smaller tiles
###      - enables faster rendering if spread over machines
###  - can wedge TGD parameters in blends of 1,2,3 axes
###      - to explore the parameter space
###  - can create Panoramic images in equirectangular format
###      - for use as (say) HDRI environment maps
###  - can do all these on animation sequences as well as single frames


### Author: Neon22 neon.mark -at- gmail (dot) com
### Date: V7 July 2011 (V4 Nov 2008, V2 Nov 2007)
###    V7 - in QT instead of Pythoncard
###       - renderfarm enabled with sep thread etc




from PySide import QtCore, QtGui
from Batch_TG2_main import *

import sys, time
import os.path



###--------------------------------------------------------
if __name__ == '__main__':
    app = QtGui.QApplication(sys.argv)
    prog = MainForm()
    prog.show()
    r = app.exec_()
    prog.thread.stop() # stop the render thread nicely
    sys.exit(r)

